Subject: Re: bug#38064: Simple Scan: Scanner is not detected

From: sirgazil <[email-masked]>
Date: Tue, 05 Nov 2019 10:17:35 -0500

Hi, Jack.

---- On Mon, 04 Nov 2019 23:16:09 -0500 Jack Hill <[email-masked]> wrote ----

 > On Mon, 4 Nov 2019, sirgazil via Bug reports for GNU Guix wrote: 
 >  
 > > I can't use the scanner because Simple Scan (a.k.a. Document Scanner) does not detect it. 
 >  
 > That's unfortunate. I think the follow information might help in 
 > troubleshooting: 
 >  
 > What scanner is it, and how is it connected (e.g. USB)? What does running 
 > `scanimage -L` from the terminal report? scanimage can be found in the 
 > sane-backends package (yes, it contains frontends too :)) I expect this to 
 > also report no scanners found just like simple-scan, but it's worth 
 > checking just to be sure. 

It's an HP Scanjet 2200c (connects using USB). Scanimage can't find it either:

$ scan-image -L
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

 > I've added `(simple-service 'custom-udev-rules udev-service-type (list sane-backends))` 
 > to my system services, which may help the scanning tools have permission 
 > to access your scanner. 

But that SOLVED the issue :) I did the following:

1. Open my system configuration file.
2. Import (gnu packages scanner) to be able to use sane-backends in step 3.
3. Add (simple-service 'custom-udev-rules udev-service-type (list sane-backends)) to the list of services.
4. Save the changes.
5. Reconfigure the system with

      $ sudo guix system reconfigure ~/path/to/my-config.scm

6. Reboot.

After this, when I start the Document Scanner application it reports:

```
Ready to scan
HP Scanjet 2200c
```

And I can scan successfully. 

Thanks, Jack.

P. S.: Now I wonder if https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35584  can be solved in a similar way...

---
https://sirgazil.bitbucket.io/